Raiser's Edge 7.96 includes Microsoft .NET Framework 4.6 which provides compatibility with TLS (Transport Layer Security) 1.2 encryption to communicate securely with Blackbaud Payment Services (BBPS) when processing payments.  

Review the table below and complete any needed steps listed for your operating system(s) prior to installing or upgrading to Raiser's Edge version 7.96 on your server and workstation(s):
  1. Review our System Requirements for Raiser's Edge 7.96 to ensure that your current operating system is compatible with Microsoft .NET Framework 4.6
  2. Install any required Service Packs for your operating system
  3. Install any required Windows updates needed
  4. Download and install Microsoft .NET Framework 4.6
  5. Install/upgrade the Raiser's Edge 7.96.
Note:  If Microsoft .NET Framework 4.6 is installed as a prerequisite during your Raiser's Edge installation, then a reboot of the computer will be required after which the installation should resume.
 
Operating SystemCan I install 7.96?How to check to see if .NET 4.6 is already installedPrior to installing .NET 4.6 included with 7.96
MICROSOFT .NET FRAMEWORK 4.6
Windows XPNo - Not SupportedN/AN/A
Windows VistaNo - Not SupportedN/AN/A
Windows 7YesPrograms and Features > Microsoft .NET Framework 4.6Install Service Pack 1
Windows 8YesPrograms and Features > View Installed Updates > Update for Microsoft Windows (KB3045562)None
Windows 8.1YesPrograms and Features > View Installed Updates > Update for Microsoft Windows (KB3045563)Install KB2919355 via Windows Update
Windows 10YesPrograms and Features > Turn Windows features on or off > .NET Framework 4.6 Advanced ServicesNone - already included
Windows Server 2003No - Not SupportedN/AN/A
Windows Server 2008YesPrograms and Features > Microsoft .NET Framework 4.6Install Service Pack 2
Windows Server 2008 R2YesProgram and Features > Microsoft .NET Framework 4.6Install Service Pack 1
Windows Server 2012YesPrograms and Features > View Installed Updates > Update for Microsoft Windows (KB3045562)None
Windows Server 2012 R2YesUpdate for Microsoft Windows (KB3045563)Install KB2919355 via Windows Update

Additional information:
  1. Installing Microsoft .NET Framework 4.6 will uninstall/upgrade lower versions of Microsoft .NET Framework 4
  2. When installing Microsoft .NET Framework 4.6, you will be prompted to accept the Microsoft license terms.
  3. After installing Microsoft .NET Framework 4.6, you may be prompted to reboot before the installation of the Raiser's Edge 7.96 can continue.
  4. If Microsoft .NET Framework 4.6 fails to install, then review Microsoft's article on Troubleshooting Blocked .NET Framework Installations.  NOTE: We provide links to third-party websites in an effort to help you resolve your issue. We are not responsible for the information on third-party websites, and we cannot assist with implementing resolutions from these websites.  Please contact the appropriate software vendor or IT professional for assistance with this process or issue, which is beyond Blackbaud's scope of support.
Chat with our Install Experts